%define pppver  2.4.1
%define realver 2002.10.21

Name: portslave
Version: 1
Release: alt1.3
Summary: A PPP client for RADIUS servers.
License: GPL/BSD
Source0: http://www.sourceforge.net/projects/portslave/portslave_%{realver}.tar.gz
Source1: http://www.sourceforge.net/projects/portslave/ppp-%{pppver}.tar.bz2
Source2: pslave.conf

Patch0: ppp-2.4.1-make.patch
Patch1: ppp-2.3.9-wtmp.patch
Patch2: ppp-2.3.10-pam.patch
Patch3: ppp-2.3.11-sample.patch
Patch4: ppp-2.4.0-reap.patch
Patch5: ppp-2.4.1-scripts-callback.patch
Patch6: ppp-2.3.11-noresolv.patch
Patch7: ppp-2.4.1-cbcp.patch.bz2
Patch8: ppp-2.4.1-openssl-0.9.6-mppe.asp.patch.bz2
Patch9: ppp-2.4.1-lock.patch
Patch10: ppp-2.4.1-portslave.asp.patch
Patch11: ppp-2.4.1-warnings.patch

Patch15: 009_SETUP.diff
Patch16: 010_scripts_README.diff
Patch17: 011_scripts_redialer.diff
Patch18: 012_secure-card.diff
Patch19: 013_scripts_ip-up.diff
Patch20: 014_scripts_poff.diff
Patch21: 015_scripts_pon.diff
Patch22: 026_pppd.8-active-filter.diff
Patch23: 997_more_minor_warnings.diff
Patch24: 998_ipv6cp-use-persistent.diff
#Patch0: portslave-extract_and_patch.in.patch
Patch30: portslave-libspr.patch
Patch31: portslave-make.patch
Patch32: 996_chap_plugin.diff
Patch33: 996-1_chap_plugin.diff
Patch34: portslave-alt-rwconf_lock.patch
URL: http://portslave.linuxrouter.org/
Group: System/Servers


# Automatically added by buildreq on Tue Feb 04 2003
BuildRequires: XFree86-devel libpam-devel libradiusclient-devel

Requires: libradiusclient libpam radiusclient-utils

%description
A RADIUS system works by storing security information in a central
location (the RADIUS server, which is provided in the radiusd-cistron
package). Portslave is a RADIUS client, which communicates with the
server to authenticate users.

%prep
%setup -q -n %{name}-%{realver}
bzip2 -dc %SOURCE1|tar -xvvf -
cd ppp-2.4.1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch32 -p1
%patch33 -p1
%patch23 -p1
%patch24 -p1


cd ../
%patch30 -p1
%patch31 -p1
%patch34 -p1

%build
./configure --sysconfdir=%{_sysconfdir}/%{name} \
         --enable-assignment --with-pppdradius=/usr/sbin/pppd-radius \
	 --enable-radius-116 --enable-fido \
	 --with-radclient-cfg=/etc/radiusclient/radiusclient.conf
%make_build 

%install


%make_install install INST_PREFIX=$RPM_BUILD_ROOT mandir=%_mandir sbindir=%_sbindir libdir=%_libdir
install -m 644  %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/pslave.conf

mkdir -p $RPM_BUILD_ROOT/etc/portslave/filters

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc CHANGES  README.txt docs/*
%dir %{_sysconfdir}/%name
%dir %{_sysconfdir}/portslave/filters
%config(noreplace) %{_sysconfdir}/%name/pslave.conf
%{_sysconfdir}/%name/pslave.conf.sample
%{_sbindir}/portslave
%attr(4710,root,daemon) %{_sbindir}/ctlportslave
%{_sbindir}/pppd-radius
%attr(0755,root,root) %{_libdir}/libpsr.so
%attr(0755,root,root) %{_libdir}/libportslave.so
%{_mandir}/man1/ctlportslave.1*
%{_mandir}/man5/pslave.conf.5*
%{_mandir}/man8/portslave.8*
%{_mandir}/man8/pppd-radius.8*

%changelog
* Tue Feb 04 2003 Victor V Ismakaev <ivv@altlinux.ru> 1-alt1.3
- added with-radclient-cfg in configure
- added portslave-alt-rwconf_lock.patch 

* Thu Jan 30 2003 Victor V Ismakaev <ivv@altlinux.ru> 1-alt1.2
- changed attr for ctlportslave to rws--x---.

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 1-alt1.1
- new rebuild with --enable-fido --enable-radius-116

* Wed Dec 11 2002 Victor V Ismakaev <ivv@altlinux.ru> 1-alt1
- first adaptation for ALTLinux
- New upstream release: 2002.10.21

* Fri Mar 15 2002 Eduardo Pereira Habkost <ehabkost@conectiva.com.br>
+ portslave-20020119-1cl
- New upstream release: 2002.01.12
  Closes: #4574 (portslave no funciona com kernel 2.4)

* Tue Oct 31 2000 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- %%{_sysconfdir}/%%{name} is part of this package

* Sat Oct 28 2000 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- %%{_bindir}/port-slave is part of this package, but yes, we really have
  to get rid of this ugly thing (remember: FHS)

* Sun Oct 08 2000 Raul Dias <rsd@conectiva.com>
- Patched portslave to let use local syslog without the need to run syslogd with the 
  -r flag

* Sat Oct 07 2000 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- don't requires radiusd-cistron (#700)

* Sun Oct 01 2000 Arnaldo Carvalho de Melo <acme@conectiva.com>
- macros, misc cleanups

* Tue May 09 2000 Elvis Pftzenreuter <epx@conectiva.com>
- Using gcc-stackguard compiler

* Thu Dec 09 1999 Guilherme Wunsch Manika <gwm@conectiva.com>
- Updated to 1.2.0pre12
- Removed -DUUCPHACK (see patch). It was removed from the original Makefiles.

* Mon Nov 08 1999 Joao Luiz <jl@conectiva.com>
- Included new config file /etc/portslave/pslave.conf
- Removed old config file /etc/server.cfg

* Sat Sep 11 1999 Rodrigo Parra Novo <rodarvus@conectiva.com>
- Updated portslave to 1.2.0pre10
- Recreated spec file to work with this new version
- Package uses /usr instead of /usr/local now
- Added URL
- Added /et/rc.d/init.d/radinit to package again (works now)

* Thu Aug 19 1999 Rodrigo Parra Novo <rodarvus@conectiva.com>
- Removed wrong /etc/rc.d/init.d/radinit

* Wed Jun 09 1999 Conectiva <dist@conectiva.com>
- Recompiled with glibc 2.1.x, egcs 1.1.x, rpm 3.0.x and kernel 2.2.x

* Mon Mar 22 1999 Conectiva <dist@conectiva.com>
- added Group, Summary and %description translations

* Mon Oct 26 1998 Conectiva <dist@conectiva.com>
- added pt_BR translations
- removed install time echoes

* Fri May 15 1998 Arnaldo Carvalho de Melo <acme@conectiva.com>
- lib fixed in server.cfg

* Fri Mar 13 1998 Bruno Lopes F. Cabral <bruno@openline.com.br>
- now using BuildRoot in the spec file
- Update to Miquel van Soorenburg's <miquels@cistron.nl> final version
  (1.16). From now on is with Erik Green <erik@mnic.net> at
  http://portslave.mnic.net/

* Tue Feb 10 1998 Bruno Lopes F. Cabral <bruno@openline.com.br>
- Integrated patch from Jon Lewis <jlewis@fdt.net> that imposes limits
  on pppd. This would make pppd kill itself before eating all the CPU
  thus avoind hanging the system. Upgrading to 2.3.x could solve this and
  many others ppp 2.2.0f problems.

* Sun Oct 05 1997 Bruno Lopes F. Cabral <bruno@openline.com.br>
- Integrated patches for Framed-Filter-ID from Jens Glaser <jens@regio.net>

* Sun May 18 1997 Bruno Lopes F. Cabral <bruno@openline.com.br>
- Changed to better handling of trumpet winsock's slip client (v 1.12)
